package com.heyu.api.data.service.vv;
/**
* <p>
* 推广者 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterBuyerEntity;
public interface VvPromoterBuyerService extends IService<VvPromoterBuyerEntity> {



	VvPromoterBuyerEntity selectVvPromoterBuyerById(Long id);


	Long insertVvPromoterBuyer(VvPromoterBuyerEntity vvPromoterBuyer);


	Long insertOrUpdateVvPromoterBuyer(VvPromoterBuyerEntity vvPromoterBuyer);


	int updateVvPromoterBuyerById(VvPromoterBuyerEntity vvPromoterBuyer);


	int updateCoverVvPromoterBuyerById(VvPromoterBuyerEntity vvPromoterBuyer);


	int deleteVvPromoterBuyerById(Long id);


}